| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
TopicListener Class Reference
eProsima Fast DDS API Reference » DDS Public API

Class TopicListener, it should be used by the end user to implement specific callbacks to certain actions. More...

`#include <TopicListener.hpp>`

Inheritance diagram for TopicListener:
[legend]

## Public Member Functions

| TopicListener ()
| Constructor.
virtual | ~TopicListener ()
| Destructor.
virtual void | on_inconsistent_topic (Topic *topic, InconsistentTopicStatus status)
| Virtual function to be implemented by the user containing the actions to be performed when another topic exists with the same name but different characteristics.

## Detailed Description

Class TopicListener, it should be used by the end user to implement specific callbacks to certain actions.

## Constructor & Destructor Documentation

## ◆ TopicListener()

TopicListener | ( |  | ) |

inline

Constructor.

## ◆ ~TopicListener()

virtual ~TopicListener | ( |  | ) |

inline virtual

Destructor.

## Member Function Documentation

## ◆ on_inconsistent_topic()

virtual void on_inconsistent_topic | ( | Topic * | topic,
|  | InconsistentTopicStatus | status )

inline virtual

Virtual function to be implemented by the user containing the actions to be performed when another topic exists with the same name but different characteristics.

Parameters

  topic | Topic
  status | The inconsistent topic status

The documentation for this class was generated from the following file:

- include/fastdds/dds/topic/TopicListener.hpp